public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pymdown-extensions/
Date: Tue,  8 Dec 2020 05:53:20 +0000 (UTC)	[thread overview]
Message-ID: <1607406784.7b49dd3aa543c8da6801277b84fe75aa603f9817.juippis@gentoo> (raw)

commit:     7b49dd3aa543c8da6801277b84fe75aa603f9817
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Apr 11 08:53:27 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Dec  8 05:53:04 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b49dd3a

dev-python/pymdown-extensions: Extensions for Python Markdown.

Package-Manager: Portage-2.3.98, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/pymdown-extensions/Manifest             |  1 +
 dev-python/pymdown-extensions/metadata.xml         | 17 ++++++
 .../pymdown-extensions-8.0.1.ebuild                | 63 ++++++++++++++++++++++
 3 files changed, 81 insertions(+)

diff --git a/dev-python/pymdown-extensions/Manifest b/dev-python/pymdown-extensions/Manifest
new file mode 100644
index 00000000000..715d3ad0bc4
--- /dev/null
+++ b/dev-python/pymdown-extensions/Manifest
@@ -0,0 +1 @@
+DIST pymdown-extensions-8.0.1.tar.gz 642787 BLAKE2B fe25fd828633bb1a653430431de9fd2f9abc881ff457d2c630befd7c094a147f4d4883088488a66c601190794c15fdfb8297a3252ba3b070412b2f18872f6126 SHA512 3f85bfe9128dcdc63cea4c2eb4d55173d697ae9d112559a74527ed64b3bd63f67eee119b81a54d0ac927bc21b6eb8411c03dc7afc77673739a81772c10ebe62a

diff --git a/dev-python/pymdown-extensions/metadata.xml b/dev-python/pymdown-extensions/metadata.xml
new file mode 100644
index 00000000000..6b89dfe643e
--- /dev/null
+++ b/dev-python/pymdown-extensions/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+	<maintainer type="person">
+		<email>andrewammerlaan@riseup.net</email>
+		<name>Andrew Ammerlaan</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">facelessuser/pymdown-extensions</remote-id>
+		<remote-id type="pypi">pymdown-extensions</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-python/pymdown-extensions/pymdown-extensions-8.0.1.ebuild b/dev-python/pymdown-extensions/pymdown-extensions-8.0.1.ebuild
new file mode 100644
index 00000000000..ed192ca4a3c
--- /dev/null
+++ b/dev-python/pymdown-extensions/pymdown-extensions-8.0.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+	dev-python/mkdocs-git-revision-date-localized-plugin
+	dev-python/mkdocs-minify-plugin
+	dev-python/mkdocs-material
+	dev-python/pymdown-lexers
+	dev-python/pyspelling
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Extensions for Python Markdown."
+HOMEPAGE="
+	https://github.com/facelessuser/pymdown-extensions
+	https://pypi.org/project/pymdown-extensions
+"
+SRC_URI="https://github.com/facelessuser/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=dev-python/markdown-3.2[${PYTHON_USEDEP}]"
+
+DEPEND="test? (
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+)"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# Fails on whitspaces
+	rm tests/test_syntax.py || die
+
+	# AssertionError: False is not true
+	sed -i -e 's:test_no_pygments_linenums_custom_class:_&:' \
+		tests/test_extensions/test_highlight.py  || die
+
+	sed -i -e 's:test_default_override:_&:' \
+		tests/test_extensions/test_superfences.py  || die
+
+	sed -i -e 's:test_tabbed:_&:' \
+		-e 's:test_tabbed_split:_&:' \
+		tests/test_extensions/test_tabbed.py  || die
+
+	# mkdocs-git-revision-date-localized-plugin needs git repo
+	if use doc; then
+		git init
+		git config --global user.email "you@example.com" || die
+		git config --global user.name "Your Name" || die
+		git add .
+		git commit -m 'init'
+	fi
+
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2020-12-08  5:53 UTC|newest]

Thread overview: 98+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-08  5:53 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-12-08  5:53 [gentoo-commits] repo/gentoo:master commit in: dev-python/pymdown-extensions/ Joonas Niilola
2020-12-08  5:53 Joonas Niilola
2021-01-26  9:52 Michał Górny
2021-01-26  9:52 Michał Górny
2021-01-26 12:35 Michał Górny
2021-05-09  8:23 Michał Górny
2021-05-22 20:55 Andrew Ammerlaan
2021-07-15  7:38 Agostino Sarubbo
2021-07-24 17:10 Sam James
2021-07-24 17:33 Michał Górny
2021-09-09 15:51 Arthur Zamarin
2021-09-23 15:35 Marek Szuba
2021-09-30  6:26 Michał Górny
2021-10-31 17:55 Sam James
2021-10-31 20:29 Michał Górny
2021-11-14 20:53 Michał Górny
2021-12-15 16:46 Jakov Smolić
2021-12-15 16:54 Michał Górny
2022-02-11  9:42 Michał Górny
2022-03-16  7:56 Michał Górny
2022-03-20  9:26 Michał Górny
2022-04-19 13:46 Jakov Smolić
2022-04-19 16:03 Michał Górny
2022-04-25  8:18 Michał Górny
2022-05-01 21:51 Jakov Smolić
2022-05-17 12:20 Andrew Ammerlaan
2022-06-06  9:29 Jakov Smolić
2022-06-06  9:53 Michał Górny
2022-06-06 18:44 Arthur Zamarin
2022-07-10 19:12 Sam James
2022-07-10 19:16 Michał Górny
2022-10-01  9:26 Arthur Zamarin
2022-10-10  8:08 Andrew Ammerlaan
2022-10-23  5:00 Michał Górny
2022-11-08  5:55 Michał Górny
2022-11-11  5:34 Sam James
2022-11-11  6:52 Michał Górny
2022-11-23 20:30 Andrew Ammerlaan
2022-12-10 15:46 Michał Górny
2023-01-11 20:34 Michał Górny
2023-01-14 10:00 Arthur Zamarin
2023-01-20 21:38 Michał Górny
2023-01-28 16:53 Arthur Zamarin
2023-01-28 19:56 Michał Górny
2023-02-25  5:47 Arthur Zamarin
2023-03-06 14:05 Michał Górny
2023-04-08  5:13 Michał Górny
2023-04-08  9:57 Arthur Zamarin
2023-04-08 12:29 Michał Górny
2023-04-14  4:04 Sam James
2023-04-14 19:43 Sam James
2023-05-15 20:04 Arthur Zamarin
2023-05-15 20:15 Arthur Zamarin
2023-05-16  5:05 Michał Górny
2023-05-17  3:45 Michał Górny
2023-05-19  7:11 Sam James
2023-05-19 11:02 Michał Górny
2023-06-06 16:12 Michał Górny
2023-07-14  5:34 Michał Górny
2023-07-14  5:34 Michał Górny
2023-07-17  8:13 Andrew Ammerlaan
2023-08-19 17:53 Arthur Zamarin
2023-08-19 18:19 Michał Górny
2023-08-29  4:20 Michał Górny
2023-08-31 13:22 Michał Górny
2023-09-03  4:12 Michał Górny
2023-09-30  6:37 Arthur Zamarin
2023-09-30  6:49 Michał Górny
2023-10-20  4:42 Michał Górny
2023-11-11  8:42 Michał Górny
2023-11-22 12:12 Arthur Zamarin
2023-11-22 12:27 Michał Górny
2023-11-24 15:45 Arthur Zamarin
2023-11-25 18:49 Arthur Zamarin
2023-12-15 10:50 Arthur Zamarin
2023-12-15 10:59 Michał Górny
2023-12-27  4:33 Michał Górny
2023-12-31  7:17 Michał Górny
2024-01-18 18:03 Arthur Zamarin
2024-01-18 18:46 Michał Górny
2024-03-01 20:35 Michał Górny
2024-03-02 20:37 Michał Górny
2024-03-05  5:18 Michał Górny
2024-03-21 17:45 Arthur Zamarin
2024-04-19  2:44 Michał Górny
2024-04-28  2:37 Michał Górny
2024-05-17  8:15 Michał Górny
2024-06-17 16:27 Michał Górny
2024-07-28  5:25 Michał Górny
2024-08-17  7:28 Michał Górny
2024-09-22 14:22 Michał Górny
2024-09-23  3:48 Michał Górny
2024-09-26 16:05 Arthur Zamarin
2024-09-28  7:42 Michał Górny
2024-09-30  4:04 Michał Górny
2024-09-30  4:04 Michał Górny
2024-10-02 11:22 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1607406784.7b49dd3aa543c8da6801277b84fe75aa603f9817.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox